{% extends "crud.html" %}


{% block top_records_navigation %}
    <div class="col"></div>
{% endblock %}


{% block add_form %}
    <div class="row">
        <div class="col-12 col-md-6">
            <div class="form-group">
                <label>{{ "name"|normalize|title }}*</label>
                <input type="text" name="name" class="form-control" value="" required maxlength="255" />
            </div>
        </div>
        <div class="col-12 col-md-6">
            <div class="form-group">
                <label>{{ "address"|normalize|title }}*</label>
                <textarea name="address" class="form-control" rows="4" required></textarea>
            </div>
        </div>
    </div>
{% endblock %}


{% block empty_spiel %}
    Add Warehouse Location details
    <br />
    to keep track of addresses.
{% endblock %}


{% block read_columns %}
{# <script> #}
    {
        data: 'name',
        render: function(data) {
            return '<a href="javascript:;" data-crud-toggle="details" class="font-weight-bold" aria-expanded="true"> {0}</a>'.format(data);
        }
    },
    {
        data: 'address'
    },
    {
        data: '_id',
        sortable: false,
        className: 'text-center',
        render: function(data) {
            return '<a href="javascript:;" class="btn btn-danger btn-sm btn-block" data-crud="delete" data-delete-target="{0}"><i class="fa fa-trash fa-fw"></i> Delete</a>'.format(data);
        }
    }
{# </script> #}
{% endblock %}
